---
title: "Record or update one person's credential. Body { user_id, type_id, number, issued_on, expires_on (YYYY-MM-DD; none = does not expire), note }. 409 not_eligible / archived."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Field Sales

`PUT /api/field-sales/credentials/people`

## Code samples

### cURL

```bash
curl --request PUT \
  --url https://api.channelautomation.com/api/field-sales/credentials/people
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/field-sales/credentials/people';
const options = {method: 'PUT'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/field-sales/credentials/people"

response = requests.put(url)

print(response.text)
```


Source: https://developer.channelautomations.com/api/put-api-field-sales-credentials-people/index.md
